[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Math' (#rtl)

# Secant

Calculate secant

## Declaration

Source position: math.pp line 350

`function Secant(`
`x: Float`
`):Float;`

## Description

Secant calculates the secant (1/cos(x)) of its argument x.

## Errors

If 90 or 270 degrees is specified, an exception will be raised.

## See also

cosecant |  | Calculate cosecant